## Drag-and-Drop Utilities

Drag-and-Drop Utilities — Helper functions to use with GTK's drag-and-drop system

## Functions

gchar ** | dzl_dnd_get_uri_list ()

## Description

## Functions

### dzl_dnd_get_uri_list ()

    gchar **
    dzl_dnd_get_uri_list (GtkSelectionData *selection_data);

`dzl_dnd_get_uri_list` is deprecated and should not be used in newly-written code.

Use `gtk_selection_data_get_uris()` instead; it is exactly the same.

Create a list of valid uri's from a uri-list drop.

#### Parameters

selection_data | the GtkSelectionData from drag_data_received |

#### Returns

a string array which will hold the uris or `NULL` if there were no valid uris. g_strfreev should be used when the string array is no longer used.

[transfer full]